Subject: Re: bug#13948: no key-binding-locus

From: Stefan Monnier <[email-masked]>
Date: Wed, 04 Jun 2014 10:20:37 -0400

> to be honest, I did it because (eq widget-global-map global-map) =>
> t and I didn't want to see these two results everytime.

Ah, good point.  I think a more general solution would be preferable,
where we provide a list of "advertized vars" and if the keymap is found
in this list, don't look via mapatoms.

This list of advertized vars could be built dynamically mimicking
current-active-maps.

>> Could you turn it into a self-contained patch (e.g. move the yf/*
>> functions to help*.el and rename it accordingly)?
> Will do.

Thanks,

        Stefan